Subject: [Idr] WGLC for draft-ietf-idr-te-pm-bgp-10 (to end April 5, 2018)

From: John Scudder <[email-masked]>
Date: Wed, 21 Mar 2018 09:51:57 +0000

Hi All,

The authors have requested a working group last call for draft-ietf-idr-te-pm-bgp-10. Please send your comments to the list before Thursday April 5.

https://datatracker.ietf.org/doc/draft-ietf-idr-te-pm-bgp/

Authors, please reply indicating if you're aware of any relevant IPR. Thanks.

--John

---

From: Jeff Tantsura <[email-masked]>
Date: Wed, 21 Mar 2018 09:53:18 +0000

Hi John,

I'm not aware of any relevant IPR.
Thanks!

Cheers,
Jeff
On 3/21/18, 09:52, "Idr on behalf of John Scudder" <[email-masked] on behalf of [email-masked]> wrote:

    Hi All,

    
    
    --John
    _______________________________________________
    Idr mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/idr

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Wed, 21 Mar 2018 12:16:37 +0000

Support this draft progress further.

Thanks,
Ketan

On 21-Mar-2018 9:52 AM, John Scudder <[email-masked]> wrote:
Hi All,

--John

Hi All,

--John

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 21 Mar 2018 12:48:00 +0000

I am not aware of any relevant IPR.

   Les

> -----Original Message-----
> From: Idr <[email-masked]> On Behalf Of John Scudder
> Sent: Wednesday, March 21, 2018 2:52 AM
> To: IDR <[email-masked]>
> Subject: [Idr] WGLC for draft-ietf-idr-te-pm-bgp-10 (to end April 5, 2018)
> 
> Hi All,
> 
> The authors have requested a working group last call for draft-ietf-idr-te-pm-
> bgp-10. Please send your comments to the list before Thursday April 5.
>

---

From: Gaurav Dawra <[email-masked]>
Date: Wed, 21 Mar 2018 13:13:58 +0000

Support.

Gaurav

On Wed, Mar 21, 2018 at 9:51 AM, John Scudder <[email-masked]> wrote:

> Hi All,
>
> The authors have requested a working group last call for
> draft-ietf-idr-te-pm-bgp-10. Please send your comments to the list before
> Thursday April 5.
>

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 21 Mar 2018 13:28:20 +0000

I have reviewed the document and support WG last call and publication. I have the editorial comments below.

Thanks,
Acee 

*** draft-ietf-idr-te-pm-bgp-10.txt.orig	2018-03-21 09:13:20.000000000 -0400
--- draft-ietf-idr-te-pm-bgp-10.txt	2018-03-21 09:26:02.000000000 -0400
***************
*** 20,26 ****
  
  Abstract
  
!    This document defines new BGP-LS TLVs in order to carry the IGP
     Traffic Engineering Extensions defined in IS-IS and OSPF protocols.
  
  Requirements Language
--- 20,26 ----
  
  Abstract
  
!    This document defines BGP-LS TLVs to advertise the IGP
     Traffic Engineering Extensions defined in IS-IS and OSPF protocols.
  
  Requirements Language
***************
*** 96,109 ****
  
  1.  Introduction
  
!    BGP-LS ([RFC7752]) defines NLRI and attributes in order to carry
!    link-state information.  New BGP-LS Link-Attribute TLVs are required
!    in order to carry the Traffic Engineering Metric Extensions defined
     in [RFC7810] and [RFC7471].
  
  2.  Link Attribute TLVs for TE Metric Extensions
  
!    The following new Link Attribute TLVs are defined:

--- 96,109 ----
  
  1.  Introduction
  
!    BGP-LS ([RFC7752]) defines NLRI and attributes to advertise
!    link-state information.  BGP-LS Link-Attribute TLVs are required
!    to advertise the Traffic Engineering Metric Extensions defined
     in [RFC7810] and [RFC7471].
  
  2.  Link Attribute TLVs for TE Metric Extensions
  
!    The following Link Attribute TLVs are defined:

***************
*** 136,165 ****
  3.1.  Unidirectional Link Delay TLV
  
     This TLV advertises the average link delay between two directly
!    connected IGP link-state neighbors.  The semantic of the TLV is
!    described in [RFC7810] and [RFC7471].
  
      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
!    |   Type                      |           Length                |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |A|  RESERVED   |                   Delay                       |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  
!    where:
  
                                   Figure 1
  
-    Type: 1114
- 
-    Length: 4.
- 
  3.2.  Min/Max Unidirectional Link Delay TLV
  
     This sub-TLV advertises the minimum and maximum delay values between
!    two directly connected IGP link-state neighbors.  The semantic of the
!    TLV is described in [RFC7810] and [RFC7471].

--- 136,163 ----
  3.1.  Unidirectional Link Delay TLV
  
     This TLV advertises the average link delay between two directly
!    connected IGP link-state neighbors.  The semantics of the TLV 
!    are described in [RFC7810] and [RFC7471].
  
      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
!    |   Type                        |         Length                |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |A|  RESERVED   |                   Delay                       |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  
!    Where:
!      Type: 1114
!      Length: 4
  
                                   Figure 1
  
  3.2.  Min/Max Unidirectional Link Delay TLV
  
     This sub-TLV advertises the minimum and maximum delay values between
!    two directly connected IGP link-state neighbors.  The semantics of 
!    the TLV are described in [RFC7810] and [RFC7471].

***************
*** 173,220 ****
      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
!    |   Type                      |           Length                |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |A| RESERVED    |                   Min Delay                   |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |   RESERVED    |                   Max Delay                   |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  
!    where:
  
                                   Figure 2
  
-    Type: 1115
- 
-    Length: 8.
  
  3.3.  Unidirectional Delay Variation TLV
  
     This sub-TLV advertises the average link delay variation between two
!    directly connected IGP link-state neighbors.  The semantic of the TLV
!    is described in [RFC7810] and [RFC7471].
  
      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
!    |   Type                      |           Length                |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |  RESERVED     |               Delay Variation                 |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  
-    where:
  
!                                  Figure 3
  
!    Type: 1116
  
-    Length: 4.
  
  3.4.  Unidirectional Link Loss TLV
  
     This sub-TLV advertises the loss (as a packet percentage) between two
!    directly connected IGP link-state neighbors.  The semantic of the TLV
!    is described in [RFC7810] and [RFC7471].

--- 171,217 ----
      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
!    |   Type                        |           Length              |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |A| RESERVED    |                   Min Delay                   |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |   RESERVED    |                   Max Delay                   |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  
!    Where:
!      Type: 1115
!      Length: 8
  
                                   Figure 2

  3.3.  Unidirectional Delay Variation TLV
  
     This sub-TLV advertises the average link delay variation between two
!    directly connected IGP link-state neighbors.  The semantics of the
!    TLV are described in [RFC7810] and [RFC7471].
  
      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
!    |   Type                        |           Length              |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |  RESERVED     |               Delay Variation                 |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

!    Where:
!      Type: 1116
!      Length: 4
  
!                                  Figure 3

  3.4.  Unidirectional Link Loss TLV
  
     This sub-TLV advertises the loss (as a packet percentage) between two
!    directly connected IGP link-state neighbors.  The semantics of the
!    TLV are described in [RFC7810] and [RFC7471].

***************
*** 229,269 ****
      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
!    |   Type                      |           Length                |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |A|  RESERVED   |                  Link Loss                    |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  
!    where:
  
!    Type:1117
! 
!    Length: 4.
  
  3.5.  Unidirectional Residual Bandwidth TLV
  
     This sub-TLV advertises the residual bandwidth between two directly
!    connected IGP link-state neighbors.  The semantic of the TLV is
     described in [RFC7810] and [RFC7471].
  
      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
!    |   Type                      |           Length                |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |                          Residual Bandwidth                   |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  
!    where:
  
!    Type: 1118
  
-    Length: 4.
  
  3.6.  Unidirectional Available Bandwidth TLV
  
     This sub-TLV advertises the available bandwidth between two directly
!    connected IGP link-state neighbors.  The semantic of the TLV is
     described in [RFC7810] and [RFC7471].

--- 226,267 ----
      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
!    |   Type                        |           Length              |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |A|  RESERVED   |                  Link Loss                    |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  
!    Where:
!      Type: 1117
!      Length: 4
  
!                                  Figure 4
  
  3.5.  Unidirectional Residual Bandwidth TLV
  
     This sub-TLV advertises the residual bandwidth between two directly
!    connected IGP link-state neighbors.  The semantics of the TLV are
     described in [RFC7810] and [RFC7471].
  
      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
!    |   Type                        |           Length              |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |                          Residual Bandwidth                   |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  
!    Where:
!      Type: 1118
!      Length: 4
  
!                                  Figure 5

  3.6.  Unidirectional Available Bandwidth TLV
  
     This sub-TLV advertises the available bandwidth between two directly
!    connected IGP link-state neighbors.  The semantics of the TLV are
     described in [RFC7810] and [RFC7471].

***************
*** 285,302 ****
      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
!    |   Type                      |           Length                |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |                      Available Bandwidth                      |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  
-    where:
  
!                                  Figure 4
  
!    Type: 1119
  
-    Length: 4.
  
  3.7.  Unidirectional Utilized Bandwidth TLV
  
--- 283,300 ----
      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
!    |   Type                        |           Length              |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |                      Available Bandwidth                      |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

!    Where:
!      Type: 1119
!      Length: 4
  
!                                  Figure 6

  3.7.  Unidirectional Utilized Bandwidth TLV
  
***************
*** 312,324 ****
     |                     Utilized Bandwidth                        |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  
!    where:
! 
!                                  Figure 5
  
!    Type: 1120
  
-    Length: 4.
  
  4.  Security Considerations
  
--- 310,321 ----
     |                     Utilized Bandwidth                        |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
  
!    Where:
!      Type: 1120
!      Length: 4
  
!                                  Figure 7

  4.  Security Considerations
  
***************
*** 340,353 ****
  
     instances originating these TLVs are assumed to have all the required
     security and authentication mechanism (as described in [RFC7810] and
!    [RFC7471]) in order to prevent any security issue when propagating
     the TLVs into BGP-LS.
  
  5.  IANA Considerations
  
!    This document requests assigning code-points from the registry "BGP-
     LS Node Descriptor, Link Descriptor, Prefix Descriptor, and Attribute
!    TLVs" for the new Link Attribute TLVs defined in the table below:
  
      TLV code-point                 Value
     --------------------------------------------------------
--- 337,350 ----
  
     instances originating these TLVs are assumed to have all the required
     security and authentication mechanism (as described in [RFC7810] and
!    [RFC7471]) in order to prevent any security issues when exporting
     the TLVs into BGP-LS.
  
  5.  IANA Considerations
  
!    This document requests assignment of code-points from the "BGP-
     LS Node Descriptor, Link Descriptor, Prefix Descriptor, and Attribute
!    TLVs" registry for the Link Attribute TLVs defined in the table below:
  
      TLV code-point                 Value
     --------------------------------------------------------
***************
*** 381,387 ****
  
  7.  Acknowledgements
  
!    The authors wish to acknowledge comments from Ketan Talaulikar.

--- 378,385 ----
  
  7.  Acknowledgements
  
!    The authors wish to acknowledge comments from Ketan Talaulikar and 
!    Acee Lindem.

On 3/21/18, 5:52 AM, "Idr on behalf of John Scudder" <[email-masked] on behalf of [email-masked]> wrote:

    Hi All,

    
    
    --John

---

From: stefano previdi <[email-masked]>
Date: Thu, 22 Mar 2018 09:32:12 +0100

Hi,

I’m not aware about any relevant IPR.

Thanks.
s.

> On Mar 21, 2018, at 10:51 AM, John Scudder <[email-masked]> wrote:
> 
> Hi All,
>

---

From: Jeffrey Haas <[email-masked]>
Date: Thu, 22 Mar 2018 06:42:17 -0400

> The authors have requested a working group last call for draft-ietf-idr-te-pm-bgp-10. Please send your comments to the list before Thursday April 5.

I believe this document is ready for publication.

-- Jeff